__gnu_cxx::__detail::_Bitmap_counter< _Tp >(3cxx)

NAME
__gnu_cxx::__detail::_Bitmap_counter< _Tp > - The bitmap counter which acts as the bitmap manipulator, and manages the bit-manipulation functions and the searching and identification functions on the bit-map.

SYNOPSIS

#include <bitmap_allocator.h>

  Public Member Functions

_Bitmap_counter (_BPVector &Rvbp, long __index=-1)
pointer _M_base () const throw ()
bool _M_finished () const throw ()
size_t * _M_get () const throw ()
_Index_type _M_offset () const throw ()
void _M_reset (long __index=-1) throw ()
void _M_set_internal_bitmap (size_t *__new_internal_marker) throw ()
_Index_type _M_where () const throw ()
_Bitmap_counter & operator++ () throw ()

Detailed Description

  template<typename _Tp>
class __gnu_cxx::__detail::_Bitmap_counter< _Tp >"The bitmap counter which acts as the bitmap manipulator, and manages the bit-manipulation functions and the searching and identification functions on the bit-map.

Definition at line 397 of file bitmap_allocator.h.

Constructor & Destructor Documentation

  template<typename _Tp > __gnu_cxx::__detail::_Bitmap_counter< _Tp >::_Bitmap_counter (_BPVector & Rvbp, long __index = -1) [inline]

Definition at line 413 of file bitmap_allocator.h.

Member Function Documentation

  template<typename _Tp > pointer __gnu_cxx::__detail::_Bitmap_counter< _Tp >::_M_base () const [inline]

Definition at line 469 of file bitmap_allocator.h.

  template<typename _Tp > bool __gnu_cxx::__detail::_Bitmap_counter< _Tp >::_M_finished () const [inline]

Definition at line 446 of file bitmap_allocator.h.

  template<typename _Tp > size_t * __gnu_cxx::__detail::_Bitmap_counter< _Tp >::_M_get () const [inline]

Definition at line 465 of file bitmap_allocator.h.

  template<typename _Tp > _Index_type __gnu_cxx::__detail::_Bitmap_counter< _Tp >::_M_offset () const [inline]

Definition at line 473 of file bitmap_allocator.h.

  template<typename _Tp > void __gnu_cxx::__detail::_Bitmap_counter< _Tp >::_M_reset (long __index = -1) [inline]

Definition at line 417 of file bitmap_allocator.h.

  template<typename _Tp > void __gnu_cxx::__detail::_Bitmap_counter< _Tp >::_M_set_internal_bitmap (size_t * __new_internal_marker) [inline]

Definition at line 442 of file bitmap_allocator.h.

  template<typename _Tp > _Index_type __gnu_cxx::__detail::_Bitmap_counter< _Tp >::_M_where () const [inline]

Definition at line 481 of file bitmap_allocator.h.

  template<typename _Tp > _Bitmap_counter & __gnu_cxx::__detail::_Bitmap_counter< _Tp >::operator++ () [inline]

Definition at line 450 of file bitmap_allocator.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.